Subject: last frost date for Boston?

From: [email-masked] (Scott shy)
Date: Fri, 03 Mar 95 15:33:46 EST

According to an Ortho reference book I have, the last frost date for
Boston is April 5th and the first one in the fall is November 8th.
Good luck!
Tam

Gateway Online ... 38 Line Multi-user Interactive Information System
Taylor, Michigan - (313)291-5571 2400 baud (313)291-5571 9600 baud
Sysops: Bill Mullen - Jeff Breitner